/**
 * 数字字符串
 * @param {*} s
 */
export function isNumberStr(s) {
  return /^[0-9]+$/.test(s)
}

/**
 * 邮箱
 * @param {*} s
 */
export function isEmail(s) {
  return /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((.[a-zA-Z0-9_-]{2,3}){1,2})$/.test(s)
}

/**
 * 手机
 * @param {*} s
 */
export function isPhone(s) {
  return /^0?(13|14|15|17|18|19)[0-9]{9}$/.test(s)
}

/**
 * 身份证号
 * @param {*} s
 */
export function isNationalID(s) {
  return /^\d{17}[\d|x]|\d{15}$/.test(s)
}

/**
 * URL地址
 * @param {*} s
 */
export function isURL(s) {
  return /^http[s]?:\/\/.*/.test(s)
}

/* 小写字母*/
export function isLowerCase(str) {
  const reg = /^[a-z]+$/
  return reg.test(str)
}

/* 大写字母*/
export function isUpperCase(str) {
  const reg = /^[A-Z]+$/
  return reg.test(str)
}

/* 大小写字母*/
export function isAlphabets(str) {
  const reg = /^[A-Za-z]+$/
  return reg.test(str)
}
